# File

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**SourceURI** | Pointer to **string** | Test capitalization | [optional] 

## Methods

### NewFile

`func NewFile() *File`

NewFile instantiates a new File object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewFileWithDefaults

`func NewFileWithDefaults() *File`

NewFileWithDefaults instantiates a new File object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetSourceURI

`func (o *File) GetSourceURI() string`

GetSourceURI returns the SourceURI field if non-nil, zero value otherwise.

### GetSourceURIOk

`func (o *File) GetSourceURIOk() (*string, bool)`

GetSourceURIOk returns a tuple with the SourceURI field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSourceURI

`func (o *File) SetSourceURI(v string)`

SetSourceURI sets SourceURI field to given value.

### HasSourceURI

`func (o *File) HasSourceURI() bool`

HasSourceURI returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


